### Hierarchy

- ContextMenuItemComponent

### Implements

- OnInit
- AfterContentInit
- OnDestroy

## Index

### Inputs

- checked
- icon
- info
- label
- type
- value

### Outputs

- checkedChange

### Constructors

- constructor

### Properties

- ariaExpanded
- ariaHasPopup
- checked
- checkedChange
- childContextMenu
- contextMenuSelectionService
- elementRef
- hasChildren
- icon
- info
- label
- optionClass
- optionContextClass
- role
- selectable
- subscriptions
- tabindex
- type
- value

### Methods

- closeSubMenu
- focusItem
- getDimensions
- handleBlur
- handleClick
- handleFocus
- handleMouseOut
- handleMouseOver
- handleSelection
- ngAfterContentInit
- ngOnDestroy
- ngOnInit
- openSubMenu

## Constructors

### constructor

- new ContextMenuItemComponent(elementRef: ElementRef, contextMenuSelectionService: ContextMenuSelectionService): ContextMenuItemComponent

- - Defined in src/context-menu/context-menu-item.component.ts:63

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### contextMenuSelectionService: ContextMenuSelectionService

  #### Returns ContextMenuItemComponent

## Properties

### ariaExpanded

@HostBinding({"hostPropertyName":"attr.aria-expanded"})
ariaExpanded: any = null

- Defined in src/context-menu/context-menu-item.component.ts:48

### ariaHasPopup

@HostBinding({"hostPropertyName":"attr.aria-haspopup"})
ariaHasPopup: any = null

- Defined in src/context-menu/context-menu-item.component.ts:47

### checked

@Input()
checked: boolean = false

- Defined in src/context-menu/context-menu-item.component.ts:53

### checkedChange

@Output()
checkedChange: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/context-menu/context-menu-item.component.ts:56

### childContextMenu

@ContentChild({"selector":"ContextMenuComponent","opts":"{ static: true }"})
childContextMenu: ContextMenuComponent

- Defined in src/context-menu/context-menu-item.component.ts:62

### Protected contextMenuSelectionService

@Optional()
contextMenuSelectionService: ContextMenuSelectionService

- Defined in src/context-menu/context-menu-item.component.ts:67

### Protected elementRef

elementRef: ElementRef

- Defined in src/context-menu/context-menu-item.component.ts:66

### hasChildren

hasChildren: boolean = false

- Defined in src/context-menu/context-menu-item.component.ts:58

### icon

@Input()
icon: string = ""

- Defined in src/context-menu/context-menu-item.component.ts:54

### info

@Input()
info: string = ""

- Defined in src/context-menu/context-menu-item.component.ts:51

### label

@Input()
label: string = ""

- Defined in src/context-menu/context-menu-item.component.ts:50

### optionClass

@HostBinding({"hostPropertyName":"class.bx--menu-option"})
optionClass: boolean = true

- Defined in src/context-menu/context-menu-item.component.ts:44

### optionContextClass

@HostBinding({"hostPropertyName":"class.bx--context-menu-option"})
optionContextClass: boolean = true

- Defined in src/context-menu/context-menu-item.component.ts:43

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "menuitem"

- Defined in src/context-menu/context-menu-item.component.ts:45

### selectable

selectable: boolean = false

- Defined in src/context-menu/context-menu-item.component.ts:59

### Private subscriptions

subscriptions: Subscription = new Subscription()

- Defined in src/context-menu/context-menu-item.component.ts:63

### tabindex

@HostBinding({"hostPropertyName":"attr.tabindex"})
tabindex: number = -1

- Defined in src/context-menu/context-menu-item.component.ts:46

### type

@Input()
type: null | "checkbox" | "radio" = null

- Defined in src/context-menu/context-menu-item.component.ts:52

### value

@Input()
value: string = ""

- Defined in src/context-menu/context-menu-item.component.ts:55

## Methods

### closeSubMenu

- closeSubMenu(): void

- - Defined in src/context-menu/context-menu-item.component.ts:152

  #### Returns void

### focusItem

- focusItem(): void

- - Defined in src/context-menu/context-menu-item.component.ts:182

  #### Returns void

### getDimensions

- getDimensions(): ClientRect | DOMRect

- - Defined in src/context-menu/context-menu-item.component.ts:186

  #### Returns ClientRect | DOMRect

### handleBlur

@HostListener({"eventName":"blur"})

- handleBlur(): void

- - Defined in src/context-menu/context-menu-item.component.ts:178

  #### Returns void

### handleClick

@HostListener({"eventName":"keydown.enter","args":"[$event]"})
@HostListener({"eventName":"keydown.space","args":"[$event]"})
@HostListener({"eventName":"click","args":"[$event]"})

- handleClick(event: MouseEvent & KeyboardEvent): void

- - Defined in src/context-menu/context-menu-item.component.ts:114

  #### Parameters

  - ##### event: MouseEvent & KeyboardEvent

  #### Returns void

### handleFocus

@HostListener({"eventName":"focus"})

- handleFocus(): void

- - Defined in src/context-menu/context-menu-item.component.ts:170

  #### Returns void

### handleMouseOut

@HostListener({"eventName":"mouseout"})

- handleMouseOut(): void

- - Defined in src/context-menu/context-menu-item.component.ts:165

  #### Returns void

### handleMouseOver

@HostListener({"eventName":"mouseover"})

- handleMouseOver(): void

- - Defined in src/context-menu/context-menu-item.component.ts:160

  #### Returns void

### handleSelection

- handleSelection(selected: boolean): void

- - Defined in src/context-menu/context-menu-item.component.ts:136

  #### Parameters

  - ##### selected: boolean

  #### Returns void

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/context-menu/context-menu-item.component.ts:102

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/context-menu/context-menu-item.component.ts:191

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/context-menu/context-menu-item.component.ts:70

  #### Returns void

### openSubMenu

- openSubMenu(): void

- - Defined in src/context-menu/context-menu-item.component.ts:141

  #### Returns void

Generated using TypeDoc